# $Revision: 1.8 $, $Date: 2009/08/27 12:31:19 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	UNIVERSAL
%define	pnam	require
Summary:	UNIVERSAL::require - require() modules from a variable
Summary(pl.UTF-8):	UNIVERSAL::require - wymaganie modułów ze zmiennej
Name:		perl-UNIVERSAL-require
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/UNIVERSAL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e6ea431fac9524077414d531a8cc203c
URL:		http://search.cpan.org/dist/UNIVERSAL-require/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-UNIVERSAL-exports < 0.03-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you've ever had to do this...

eval "require $module";

to get around the bareword caveats on require(), this module is for
you. It creates a universal require() class method that will work with
every Perl module and it's secure. So instead of doing some arcane
eval() work, you can do this:

$module->require;

%description -l pl.UTF-8
Jeśli kiedykolwiek było nam potrzebne...

eval "require $module";

do obejścia przeciwności require(), ten moduł jest dla nas. Tworzy
uniwersalną metodę klasy require() działającą z każdym modułem Perla,
a jednocześnie bezpieczną. Czyli zamiast wykonywania jakichś tajemnych
działań z eval(), można zrobić:

$module->require;

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/UNIVERSAL/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-UNIVERSAL-require.spec,v $
Revision 1.8  2009/08/27 12:31:19  amateja
- updated to 0.13

Revision 1.7  2008/03/25 00:21:33  qboosh
- generic URL

Revision 1.6  2007-10-27 15:30:29  radek
- version 0.11

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.3  2006/08/25 09:06:38  glen
- resolved(!) conflict with perl-UNIVERSAL-exports; rel 2

Revision 1.2  2005/11/15 21:14:50  qboosh
- pl(?)

Revision 1.1  2005/11/07 14:14:07  migo
- initial revision
- UNIVERSAL::require is now separated from UNIVERSAL-exports package. But
  UNIVERSAL-exports still contain UNIVERSAL::require...
